/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { AverageDirectionalIndexIndicatorStrategy } from "./AverageDirectionalIndexIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class AverageDirectionalIndexIndicator extends StrategyBasedIndicator {
    get_p0() {
        return new AverageDirectionalIndexIndicatorStrategy();
    }
    get p0() {
        return this.get_p0();
    }
    get_qd() {
        return AverageDirectionalIndexIndicator.$;
    }
    get qd() {
        return this.get_qd();
    }
    get ql() {
        return typeGetValue(this.c(AverageDirectionalIndexIndicator.qm));
    }
    set ql(a) {
        this.h(AverageDirectionalIndexIndicator.qm, a);
    }
    p6() {
        return this.ql;
    }
    qf(a) {
        this.ql = a;
    }
}
AverageDirectionalIndexIndicator.qm = StrategyBasedIndicator.qi(14, AverageDirectionalIndexIndicator.$);
AverageDirectionalIndexIndicator.$t = markType(AverageDirectionalIndexIndicator, 'AverageDirectionalIndexIndicator', StrategyBasedIndicator.$);
/*<BeginStatics Name="Infragistics.Controls.Charts.AverageDirectionalIndexIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.AverageDirectionalIndexIndicator" />*/
